Bug 1657804 - [abrt] udisks2: udisks_linux_drive_object_get_block(): udisksd killed by SIGSEGV
Summary: [abrt] udisks2: udisks_linux_drive_object_get_block(): udisksd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: udisks2
Version: 29
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9aaa5bd6403f3a751801a91d1e0...
: 1615007 1634001 1662445 1668855 1674089 1680195 1680238 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-10 13:15 UTC by alain.thiaville
Modified: 2019-11-27 21:12 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 21:12:20 UTC


Attachments (Terms of Use)
File: backtrace (51.39 KB, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: cgroup (181 bytes, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: core_backtrace (11.03 KB, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: cpuinfo (1.51 KB, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: dso_list (5.90 KB, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: environ (142 bytes, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: exploitable (112 bytes, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: maps (38.69 KB, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: mountinfo (3.33 KB, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: open_fds (1.33 KB, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details
File: var_log_messages (489 bytes, text/plain)
2018-12-10 13:15 UTC, alain.thiaville
no flags Details

Description alain.thiaville 2018-12-10 13:15:36 UTC
Version-Release number of selected component:
udisks2-2.8.1-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/libexec/udisks2/udisksd
crash_function: udisks_linux_drive_object_get_block
executable:     /usr/libexec/udisks2/udisksd
journald_cursor: s=552d35b3c4ed4b2d8ff16c06e88a89bf;i=48560;b=b2cb3a12c84148549931517869c50f08;m=8c4b475c;t=57bf16bc2a966;x=3eb4b0c31de6a331
kernel:         4.19.4-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 udisks_linux_drive_object_get_block at udiskslinuxdriveobject.c:473
 #1 handle_power_off at udiskslinuxdrive.c:1359
 #2 ffi_call_unix64 at ../src/x86/unix64.S:76
 #3 ffi_call at ../src/x86/ffi64.c:525

Comment 1 alain.thiaville 2018-12-10 13:15:40 UTC
Created attachment 1513065 [details]
File: backtrace

Comment 2 alain.thiaville 2018-12-10 13:15:41 UTC
Created attachment 1513066 [details]
File: cgroup

Comment 3 alain.thiaville 2018-12-10 13:15:43 UTC
Created attachment 1513067 [details]
File: core_backtrace

Comment 4 alain.thiaville 2018-12-10 13:15:44 UTC
Created attachment 1513068 [details]
File: cpuinfo

Comment 5 alain.thiaville 2018-12-10 13:15:46 UTC
Created attachment 1513069 [details]
File: dso_list

Comment 6 alain.thiaville 2018-12-10 13:15:47 UTC
Created attachment 1513070 [details]
File: environ

Comment 7 alain.thiaville 2018-12-10 13:15:48 UTC
Created attachment 1513071 [details]
File: exploitable

Comment 8 alain.thiaville 2018-12-10 13:15:49 UTC
Created attachment 1513072 [details]
File: limits

Comment 9 alain.thiaville 2018-12-10 13:15:51 UTC
Created attachment 1513073 [details]
File: maps

Comment 10 alain.thiaville 2018-12-10 13:15:53 UTC
Created attachment 1513074 [details]
File: mountinfo

Comment 11 alain.thiaville 2018-12-10 13:15:54 UTC
Created attachment 1513075 [details]
File: open_fds

Comment 12 alain.thiaville 2018-12-10 13:15:55 UTC
Created attachment 1513076 [details]
File: proc_pid_status

Comment 13 alain.thiaville 2018-12-10 13:15:56 UTC
Created attachment 1513077 [details]
File: var_log_messages

Comment 14 Kyriakos Fytrakis 2018-12-28 14:56:04 UTC
*** Bug 1662445 has been marked as a duplicate of this bug. ***

Comment 15 striker.pena 2019-01-23 17:41:59 UTC
*** Bug 1668855 has been marked as a duplicate of this bug. ***

Comment 16 smitna 2019-02-09 02:25:43 UTC
*** Bug 1674089 has been marked as a duplicate of this bug. ***

Comment 17 thestonewell 2019-02-23 09:58:51 UTC
*** Bug 1680238 has been marked as a duplicate of this bug. ***

Comment 18 Tomáš Bžatek 2019-02-26 10:35:24 UTC
*** Bug 1615007 has been marked as a duplicate of this bug. ***

Comment 19 Tomáš Bžatek 2019-02-26 10:35:50 UTC
*** Bug 1634001 has been marked as a duplicate of this bug. ***

Comment 20 Tomáš Bžatek 2019-02-26 10:36:09 UTC
*** Bug 1680195 has been marked as a duplicate of this bug. ***

Comment 21 Tomáš Bžatek 2019-02-26 10:38:15 UTC
Rising priority due to number of occurrences.

Looking at the code this looks like a race condition between d-bus object manager enumeration and concurrent object disappearance. Probably a ref issue somewhere.

Comment 22 Ben Cotton 2019-10-31 19:54:47 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Ben Cotton 2019-11-27 21:12:20 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.